BEGIN;
CREATE TABLE host_other_config (
	host_id INTEGER NOT NULL REFERENCES host(id),
	host_ip VARCHAR(255),
	sleeptime INTEGER,
	maxjobs INTEGER,
	minspace INTEGER,
	topdir VARCHAR(255),
	workdir VARCHAR(255),
	chroot_tmpdir VARCHAR(255),
	mockdir VARCHAR(255),
	mockuser VARCHAR(255),
	vendor VARCHAR(255),
	packager VARCHAR(255),
	distributions VARCHAR(255),
	mockhost VARCHAR(255),
	rpmbuild_timeout INTEGER,
	oz_install_timeout INTEGER,
	servers VARCHAR(255),
	topurl VARCHAR(255),
	allowed_scms VARCHAR(255),
	smtphost VARCHAR(255),
	from_addr VARCHAR(255),
	certs VARCHAR(255),
	ca VARCHAR(255),
	serverca VARCHAR(255),
	create_event INTEGER NOT NULL REFERENCES events(id) DEFAULT get_event(),
	revoke_event INTEGER REFERENCES events(id),
	creator_id INTEGER NOT NULL REFERENCES users(id),
	revoker_id INTEGER REFERENCES users(id),
	active BOOLEAN DEFAULT 'true' CHECK (active),
	CONSTRAINT active_revoke_sane CHECK (
		(active IS NULL AND revoke_event IS NOT NULL AND revoker_id IS NOT NULL)
		OR (active IS NOT NULL AND revoke_event IS NULL AND revoker_id IS NULL)),
	PRIMARY KEY (create_event, host_id),
	UNIQUE (host_id, active)
) WITHOUT OIDS;
COMMIT;
